Librem5 Devkit Tools
====================

This repository contains flashing script and other tools for the Librem5
devkit. If you just want to flash a new image check the [official
documentation][1].

If you're interested in lower level board-bringup instructions see doc/.

Tests
=====

We have [pytest][] based tests to validate that the kernel probed the
hardware correctly. See the individual files in `pytests/`.
To run the tests from the source tree use:

    sudo pytest-3

in the toplevel source directory. You can use *pytests* matching to only run
ceratain tests you're interested in. The tests are built into a Debian package
*librem5-devkit-check* being installed on each devkit by default. You can run
them there via:

    sudo librem5-devkit-check

[1]: https://developer.puri.sm/Librem5/Development_Environment/Boards.html
[pytest]: https://pytest.org/en/latest/
